{
    "configurations": [
        {
            "name": "Linux",
            "includePath": [
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/cores/esp32",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/variants/esp32",

                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/app_trace",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/app_update",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/asio",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/bootloader_support",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/bt",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/coap",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/config",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/console",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/driver",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/driver/include",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/esp32",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/esp32-camera",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/esp_adc_cal",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/esp_common/include",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/esp_eth/include",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/esp_event",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/esp_event/include",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/esp-face",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/esp_http_client",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/esp_http_server",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/esp_https_ota",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/esp_hw_support/include",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/esp_netif/include",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/esp_ringbuf",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/esp_rom/include",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/esp_rom/include/esp32",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/esp_system/include",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/esp_timer/include",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/esp-tls",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/esp_wifi/include",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/expat",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/fatfs",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/fb_gfx",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/freemodbus",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/freertos/include",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/freertos/include/esp_additions",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/freertos/include/esp_additions/freertos",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/freertos/port/xtensa/include",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/hal/esp32/include",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/hal/include",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/heap",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/heap/include",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/idf_test",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/jsmn",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/json",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/libsodium",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/log",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/log/include",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/lwip",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/lwip/include/apps",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/lwip/lwip/src/include",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/lwip/port/esp32/include",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/mbedtls",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/mbedtls/mbedtls/include",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/mbedtls/port/include",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/mdns",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/mqtt",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/newlib",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/newlib/platform_include",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/nghttp",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/nvs_flash",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/nvs_flash/include",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/openssl",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/openssl/include",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/protobuf-c",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/protocomm",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/protocomm/include/common",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/protocomm/include/security",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/pthread",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/sdmmc",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/soc",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/soc/esp32/include",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/soc/include",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/spiffs",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/spi_flash",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/spi_flash/include",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/tcpip_adapter",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/tcpip_adapter/include",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/tcp_transport",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/ulp",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/vfs",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/wear_levelling",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/wifi_provisioning",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/wifi_provisioning/include",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/wpa_supplicant",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/xtensa/esp32/include",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/include/xtensa/include",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/tools/sdk/esp32/qspi_qspi/include",

                "/home/kappa/.arduino15/packages/esp32/tools/xtensa-esp32-elf-gcc/gcc8_4_0-esp-2021r2-patch3/xtensa-esp32-elf/include",
                "/home/kappa/.arduino15/packages/esp32/tools/xtensa-esp32-elf-gcc/gcc8_4_0-esp-2021r2-patch3/xtensa-esp32-elf/include",

                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/libraries/ESPmDNS/src",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/libraries/WiFi/src",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/libraries/Wire/src",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/libraries/WiFiClientSecure/src",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/libraries/SPI/src",
                "/home/kappa/.arduino15/packages/esp32/hardware/esp32/2.0.3/libraries/Update/src"

            ],
            "cStandard": "c17",
            "cppStandard": "c++17",
            "defines": [
                "ARDUINO=10813",
                "ESP32=1",
                "ARDUINO_ESP32_DEV"
            ]
        }
    ],
    "version": 4
}
